:root {
      --primary-color: #fafafa;
      --bg-light: #f8f9fa;
      --border-color: #dee2e6;
      --text-dark: #212529;
      --code-bg: #20223a;
      --code-text: #e5e5e5;
    }

    * {
      box-sizing: border-box;
    }

    body {
      margin: 0;
      font-family: "Segoe UI", Roboto, sans-serif;
      background-color: #fff;
      color: var(--text-dark);
    }

    .container {
      max-width: 1180px;
      margin: 0px auto;
      
    }
    h1, h2, h3, h4, h5, h6, p{margin-top: 0;}
    header{    padding: 22px 0;
    background: #f3f0f0;}
    header .logo{width: 120px;}
    header .logo img{width: 100%;}
    main{padding-top: 30px;}
    .inner{
      /* background-color: white;
      border: 1px solid var(--border-color);
      border-radius: 10px;
      overflow: hidden;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05); */
    }

    /* Tabs */
    input[type="radio"] {
      display: none;
    }

    .tabs {
      display: flex;
      /* border-bottom: 1px solid var(--border-color);
      background: #f1f1f1; */
    }

    .tabs label {
      flex: 1;
      padding: 18px;
      text-align: center;
      font-size: 1.1rem;
      font-weight: 600;
      cursor: pointer;
      background: #f8f9fa;
      color: #495057;
      transition: all 0.3s ease;
      max-width: 240px;
      border-radius: 10px 10px 0 0;
      border: 1px solid var(--border-color);
      border-bottom: none;
    }

    #ubuntu:checked ~ .tabs .ubuntu-tab,
    #windows:checked ~ .tabs .windows-tab {
      background-color: var(--primary-color);
      color: #000;
    }

    .tab-content {
      display: none;
      padding: 30px;
       background-color: #fafafa;
      border: 1px solid var(--border-color);
      border-radius: 0 10px 10px 10px;
      overflow: hidden;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
    }

    #ubuntu:checked ~ .content .ubuntu-content,
    #windows:checked ~ .content .windows-content {
      display: block;
    }
    #openPopupBtn{margin-top: 10px;}

    h2 {
      font-size: 1.4rem;
      margin-bottom: 10px;
    }

    pre {
      background-color: var(--code-bg);
      color: var(--code-text);
      padding: 16px;
      border-radius: 6px;
      overflow-x: auto;
      margin: 5px 0;
      font-family: 'Courier New', monospace;
      font-size: 0.95rem;
    }
    .step{display: inline-block;background: #2595ed;color: #fff;padding: 3px 10px;border-radius: 5px;font-size: 14px;margin-top: 15px;}
    .stepContent{background: #edeeee;margin-top: 15px;padding: 20px;border-radius: 5px;}
    .highlights{color: #c7254e;background: #f9f2f4;}
    .imgContainer img{width: 100%;}
    .section{margin-bottom: 40px;}
    .stepContent ul{padding: 0;}
    .stepContent ul li{list-style: none;margin-bottom: 30px;}


/* /////////////////////////////////// */
    .popup {
  display: none; /* Hidden by default */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5); /* Black background with transparency */
  z-index: 999;
}
.popup ul{height: calc(100vh - 150px);overflow-y: auto;padding-left: 10px;}
.popup ul li{list-style: none;}
.popup ul li span{display: block;margin-bottom: 15px;border: solid 1px #e2e1e1;padding: 10px;border-radius: 10px;}
.popup ul li span p{text-align: left;margin-bottom: 3px;font-weight: bold;}
.popup ul li span img{width: 100%;}

.popup-content {
  background-color: #fff;
  margin: 20px auto;
  padding: 20px;
  border-radius: 8px;
  width: 800px;
  position: relative;
  box-shadow: 0 5px 10px rgba(0,0,0,0.3);
  text-align: center;
  height: calc(100vh - 40px);
}

.close-btn {
  position: absolute;
  top: 8px;
  right: 12px;
  font-size: 24px;
  font-weight: bold;
  color: #333;
  cursor: pointer;
}

button {
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
}

/* .special{background: #ccc;padding: 10px;border-radius: 5px;box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;} */



    @media (max-width: 768px) {
      .tabs label {
        font-size: 1rem;
        padding: 14px;
      }

      .tab-content {
        padding: 20px;
      }

      pre {
        font-size: 0.85rem;
      }
    }